Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609088 - autofs5: segfault in close_mount()
autofs5: segfault in close_mount()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs5 (Show other bugs)
4.8
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Ian Kent
yanfu,wang
: ZStream
Depends On: 534093
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 07:59 EDT by RHEL Product and Program Management
Modified: 2011-01-05 01:31 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
As it is used quite often, the Network File System (NFS) mount module is pre-opened and cached by the "parse_sun" module, so that it can be accessed by other modules very quickly. However, especially with a high number of simultaneously running threads, it was possible for a race condition to arise, causing the automount5 daemon to terminate unexpectedly with a segmentation fault. This error has been fixed, and automount5 should now work as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 03:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0527 normal SHIPPED_LIVE autofs5 bug fix update 2010-07-13 03:29:22 EDT

  None (edit)
Description RHEL Product and Program Management 2010-06-29 07:59:34 EDT
This bug has been copied from bug #534093 and has been proposed
to be backported to 4.8 z-stream (EUS).
Comment 4 Jaromir Hradilek 2010-07-12 04:39:33 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
As it is used quite often, the Network File System (NFS) mount module is pre-opened and cached by the "parse_sun" module, so that it can be accessed by other modules very quickly. However, especially with a high number of simultaneously running threads, it was possible for a race condition to arise, causing the automount5 daemon to terminate unexpectedly with a segmentation fault. This error has been fixed, and automount5 should now work as expected.
Comment 6 errata-xmlrpc 2010-07-13 03:29:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0527.html

Note You need to log in before you can comment on or make changes to this bug.